/contributions/{contributionId}/attributions/{vanId}

Create or update an Attribution record on the given Contribution for a Person.

If there is an existing Attribution for the given Person on the given Contribution, it will be updated to match the Attribution provided with this request. If there is not an existing Attribution, one will be created.

Accepts an Attribution object. The vanId property of the Attribution object must match the value of the vanId parameter provided in the route. If amountAttributed is not provided, it will default to the remaining amount of the Contribution. If attributionType is not provided, it will default to DefaultAttribution.

If the specified Contribution or Person does not exist, this endpoint will return an error with HTTP Status Code 404 Not Found.

If successful, the endpoint responds with HTTP Status Code 204 No Content if an existing Attribution has been updated. If a new Attribution has been created, this endpoint responds with HTTP Status Code 201 Created.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required
Defaults to 4482

Unique contribution identifier available in the current context

string
required
Defaults to 215501

Unique person identifier available in the current context

Body Params
string
Defaults to 215501

Unique identifier for the attributed contact. Represents contacts who acted as fundraisers, rather than contributors.

string
Defaults to 100.00

Optional; The amount of the attribution. Values that have more than 2 digits after the decimal point will not be accepted. If no amount is provided, default to contribution amount.

string
Defaults to BoardMemberGiving

Optional; A string representing the attribution type. See below for valid values of Attribution Type. If no type is provided, default to “DefaultAttribution” type

date
Defaults to 2019-10-08

Optional; The date on which the attributed contact was thanked for the contribution.

string
Defaults to This will be created or updated

Optional; A note describing the attribution. Max length of 100 characters.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json